Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Templates

List Template Versions

GET
/v1/templates/{template_id}/versions

List the versions of a Template, newest first.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

template_id*string

Unique identifier of the related template.

Formatuuid

Query Parameters

published?boolean

Filters resources by published.

limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length
include?array<"components" | "approvals" | "placeholders" | "text_preview">

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",      "version": 9007199254740991,      "published": true,      "settings": {        "postal": {          "duplex": true        }      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "components": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "order_index": 9007199254740991,          "type": "text",          "text": "string",          "attributes": {            "role": "subject"          },          "children": []        }      ],      "approvals": [        {          "template_version_id": "0ba39c92-1f1b-4c32-aa3e-9925d7713eb1",          "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",          "status": "approved",          "category": "string"        }      ],      "placeholders": [        {          "type": "input",          "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b"        }      ],      "text_preview": "string"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}